# Method: partners.subscriptions.resume

- [HTTP request](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#body.request_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#body.response_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#body.ResumeSubscriptionResponse.SCHEMA_REPRESENTATION)
- [ResumeMode](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#ResumeMode)

Resumes a suspended subscription. The new billing cycle will start at the time of the request. It should be called directly by the partner using service accounts.

### HTTP request

`POST https://paymentsresellersubscription.googleapis.com/v1/{name=partners/*/subscriptions/*}:resume`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the subscription resource to be resumed. It will have the format of "partners/{partner_id}/subscriptions/{subscriptionId}" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cycleOptions": { object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/CycleOptions`) }, "resumeMode": enum (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#ResumeMode`) } ``` |

| Fields ||
|---|---|
| `cycleOptions` | ``object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/CycleOptions`)`` Optional. The cycle options for the subscription. |
| `resumeMode` | ``enum (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/resume#ResumeMode`)`` Required. The mode to resume the subscription. |

### Response body

Response that contains the resumed subscription.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscription": { object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`) } } ``` |

| Fields ||
|---|---|
| `subscription` | ``object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`)`` The resumed subscription resource. |

## ResumeMode

The mode to resume the subscription.

| Enums ||
|---|---|
| `RESUME_MODE_UNSPECIFIED` | Reserved for invalid or unexpected value. Do not use. |
| `RESUME_MODE_CYCLE_OPTIONS` | Resume the subscription using the input from `cycleOptions`. |
| `RESUME_MODE_RESTORE_EXISTING_BILLING_SCHEDULE` | Resume the subscription with the existing billing schedule. The subscription's next renewal time must still be in the future for this mode to be applicable. |